CREATE TABLE [snapshots] (
[id] INTEGER  UNIQUE NOT NULL,
[timeline] INTEGER(11)  NOT NULL,
[type] CHAR(1)  NOT NULL,
[related_timeline] DATETIME  NULL,
[timestamp] INTEGER  NOT NULL,
[path] VARCHAR  NULL,
[comment] TEXT  NULL
);

CREATE TABLE [timelines] ([id] INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, [name] VARCHAR NOT NULL COLLATE BINARY, [parent] INTEGER(11) NOT NULL, [start_time] DATETIME NOT NULL, [type] CHAR(1) NOT NULL DEFAULT 'f');

CREATE UNIQUE INDEX [idx_parent_name] ON [timelines] ([name] COLLATE BINARY ASC, [parent] ASC);

CREATE VIEW [bases] AS SELECT * FROM snapshots WHERE type='b' OR type = 'l' OR type = 'm' OR type = 'r' ORDER BY id ASC;
