#!/usr/bin/env python
# -*- coding: UTF-8 -*-

'''
Created on 21/06/2009

@author: Salvador de la Puente González
'''
import os
from utils import PatternList

HOME = os.path.expanduser('~')
BACKUP_DIRECTORY_NAME = '.flux-backups'
BACKUP_PATH = os.path.join(HOME, BACKUP_DIRECTORY_NAME)

RECOVER_DIRECTORY_NAME = 'flux-recovers'
RECOVER_PATH = os.path.join(HOME, RECOVER_DIRECTORY_NAME)
LEVEL_OF_COMPRESSION = '-1'
COMPRESSION_THRESHOLD = 0.9

# BLACK AND WHITELISTS

PATTERNS = []
WHITELIST = PatternList(PATTERNS)

PATTERNS = [PatternList.literal(BACKUP_DIRECTORY_NAME)]
PATTERNS += ['\..*'] # Hide files
PATTERNS += ['.*~']  # Recover files
PATTERNS += [PatternList.literal(RECOVER_DIRECTORY_NAME)]  # Snapshots recovered
#PATTERNS += ['.*']   # All
BLACKLIST = PatternList(PATTERNS)

# Make backup path
if not os.path.exists(BACKUP_PATH):
    os.makedirs(BACKUP_PATH)
